MagickCore: exception.h File Reference

# exception.h File Reference

`#include <stdarg.h>`
`#include "magick/semaphore.h"`

Go to the source code of this file.

## Data Structures
struct | _ExceptionInfo
## Typedefs
typedef void(* | ErrorHandler )(const ExceptionType, const char *, const char *)
typedef void(* | FatalErrorHandler )(const ExceptionType, const char *, const char *)
typedef void(* | WarningHandler )(const ExceptionType, const char *, const char *)
## Enumerations
enum | ExceptionType { UndefinedException, WarningException = 300, ResourceLimitWarning = 300, TypeWarning = 305, OptionWarning = 310, DelegateWarning = 315, MissingDelegateWarning = 320, CorruptImageWarning = 325, FileOpenWarning = 330, BlobWarning = 335, StreamWarning = 340, CacheWarning = 345, CoderWarning = 350, ModuleWarning = 355, DrawWarning = 360, ImageWarning = 365, WandWarning = 370, XServerWarning = 380, MonitorWarning = 385, RegistryWarning = 390, ConfigureWarning = 395, ErrorException = 400, ResourceLimitError = 400, TypeError = 405, OptionError = 410, DelegateError = 415, MissingDelegateError = 420, CorruptImageError = 425, FileOpenError = 430, BlobError = 435, StreamError = 440, CacheError = 445, CoderError = 450, ModuleError = 455, DrawError = 460, ImageError = 465, WandError = 470, XServerError = 480, MonitorError = 485, RegistryError = 490, ConfigureError = 495, FatalErrorException = 700, ResourceLimitFatalError = 700, TypeFatalError = 705, OptionFatalError = 710, DelegateFatalError = 715, MissingDelegateFatalError = 720, CorruptImageFatalError = 725, FileOpenFatalError = 730, BlobFatalError = 735, StreamFatalError = 740, CacheFatalError = 745, CoderFatalError = 750, ModuleFatalError = 755, DrawFatalError = 760, ImageFatalError = 765, WandFatalError = 770, XServerFatalError = 780, MonitorFatalError = 785, RegistryFatalError = 790, ConfigureFatalError = 795 }
## Functions
MagickExport char * | GetExceptionMessage (const int)
MagickExport const char * | GetLocaleExceptionMessage (const ExceptionType, const char *)
MagickExport ErrorHandler | SetErrorHandler (ErrorHandler)
MagickExport ExceptionInfo * | AcquireExceptionInfo (void)
MagickExport ExceptionInfo ** | DestroyExceptionInfo (ExceptionInfo *)
MagickExport FatalErrorHandler | SetFatalErrorHandler (FatalErrorHandler)
MagickExport MagickBooleanType | ThrowException (ExceptionInfo *, const ExceptionType, const char *, const char *)
MagickExport MagickBooleanType | ThrowMagickException (ExceptionInfo *, const char *, const char *, const unsigned long, const ExceptionType, const char *, const char *,...) magick_attribute((format(printf
MagickExport MagickBooleanType | ThrowMagickExceptionList (ExceptionInfo *, const char *, const char *, const unsigned long, const ExceptionType, const char *, const char *, va_list) magick_attribute((format(printf
MagickExport MagickBooleanType MagickExport void | CatchException (ExceptionInfo *)
MagickExport MagickBooleanType MagickExport void | ClearMagickException (ExceptionInfo *)
MagickExport MagickBooleanType MagickExport void | GetExceptionInfo (ExceptionInfo *)
MagickExport MagickBooleanType MagickExport void | InheritException (ExceptionInfo *, const ExceptionInfo *)
MagickExport MagickBooleanType MagickExport void | MagickError (const ExceptionType, const char *, const char *)
MagickExport MagickBooleanType MagickExport void | MagickFatalError (const ExceptionType, const char *, const char *)
MagickExport MagickBooleanType MagickExport void | MagickWarning (const ExceptionType, const char *, const char *)
MagickExport WarningHandler | SetWarningHandler (WarningHandler)

## Typedef Documentation

typedef void(* ErrorHandler)(const ExceptionType, const char *, const char *)

typedef void(* FatalErrorHandler)(const ExceptionType, const char *, const char *)

typedef void(* WarningHandler)(const ExceptionType, const char *, const char *)

## Enumeration Type Documentation

enum ExceptionType

Enumerator:

  UndefinedException |
  WarningException |
  ResourceLimitWarning |
  TypeWarning |
  OptionWarning |
  DelegateWarning |
  MissingDelegateWarning |
  CorruptImageWarning |
  FileOpenWarning |
  BlobWarning |
  StreamWarning |
  CacheWarning |
  CoderWarning |
  ModuleWarning |
  DrawWarning |
  ImageWarning |
  WandWarning |
  XServerWarning |
  MonitorWarning |
  RegistryWarning |
  ConfigureWarning |
  ErrorException |
  ResourceLimitError |
  TypeError |
  OptionError |
  DelegateError |
  MissingDelegateError |
  CorruptImageError |
  FileOpenError |
  BlobError |
  StreamError |
  CacheError |
  CoderError |
  ModuleError |
  DrawError |
  ImageError |
  WandError |
  XServerError |
  MonitorError |
  RegistryError |
  ConfigureError |
  FatalErrorException |
  ResourceLimitFatalError |
  TypeFatalError |
  OptionFatalError |
  DelegateFatalError |
  MissingDelegateFatalError |
  CorruptImageFatalError |
  FileOpenFatalError |
  BlobFatalError |
  StreamFatalError |
  CacheFatalError |
  CoderFatalError |
  ModuleFatalError |
  DrawFatalError |
  ImageFatalError |
  WandFatalError |
  XServerFatalError |
  MonitorFatalError |
  RegistryFatalError |
  ConfigureFatalError |

## Function Documentation

MagickExport ExceptionInfo* AcquireExceptionInfo | ( | void |  | ) |

MagickExport MagickBooleanType MagickExport void CatchException | ( | ExceptionInfo * |  | ) |

MagickExport MagickBooleanType MagickExport void ClearMagickException | ( | ExceptionInfo * |  | ) |

MagickExport ExceptionInfo* * DestroyExceptionInfo | ( | ExceptionInfo * |  | ) |

MagickExport MagickBooleanType MagickExport void GetExceptionInfo | ( | ExceptionInfo * |  | ) |

MagickExport char* GetExceptionMessage | ( | const | int | ) |

MagickExport const char* GetLocaleExceptionMessage | ( | const | ExceptionType,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType MagickExport void InheritException | ( | ExceptionInfo * | ,
|  | const ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType MagickExport void MagickError | ( | const | ExceptionType,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType MagickExport void MagickFatalError | ( | const | ExceptionType,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType MagickExport void MagickWarning | ( | const | ExceptionType,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport ErrorHandler SetErrorHandler | ( | ErrorHandler |  | ) |

MagickExport FatalErrorHandler SetFatalErrorHandler | ( | FatalErrorHandler |  | ) |

MagickExport WarningHandler SetWarningHandler | ( | WarningHandler |  | ) |

MagickExport MagickBooleanType ThrowException | ( | ExceptionInfo * | ,
|  | const | ExceptionType,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType ThrowMagickException | ( | ExceptionInfo * | ,
|  | const char * | ,
|  | const char * | ,
|  | const unsigned long | ,
|  | const | ExceptionType,
|  | const char * | ,
|  | const char * | ,
|  |  | ... |
| ) |  |  |

MagickExport MagickBooleanType ThrowMagickExceptionList | ( | ExceptionInfo * | ,
|  | const char * | ,
|  | const char * | ,
|  | const unsigned long | ,
|  | const | ExceptionType,
|  | const char * | ,
|  | const char * | ,
|  | va_list |  |
| ) |  |  |